# $Revision: 1.10 $, $Date: 2005/01/10 10:47:55 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (review & fix if you care)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SVK
Summary:	SVK - a distributed version control system
Summary(pl):	SVK - rozproszony system kontroli wersji
Name:		perl-SVK
Version:	0.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/C/CL/CLKAO/%{pdir}-%{version}.tar.gz
# Source0-md5:	5a48ac14024eb61d8438c8027cda921a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Algorithm-Annotate
BuildRequires:	perl-Algorithm-Diff
BuildRequires:	perl-Clone
BuildRequires:	perl(Data::Hierarchy) >= 0.18
BuildRequires:	perl(File::Temp) >= 0.14
BuildRequires:	perl-Locale-Maketext-Lexicon >= 0.36
BuildRequires:	perl-Locale-Maketext-Simple >= 0.12
BuildRequires:	perl-PerlIO-via-dynamic >= 0.02
BuildRequires:	perl-PerlIO-via-symlink >= 0.01
BuildRequires:	perl(Pod::Escapes)
BuildRequires:	perl(Pod::Simple)
BuildRequires:	perl(Regexp::Shellish)
BuildRequires:	perl(SVN::Core) >= 1.0.4
#BuildRequires:	perl(SVN::Mirror) >= 0.4   # circular dependency
BuildRequires:	perl(SVN::Simple::Edit) >= 0.21
BuildRequires:	perl-Text-Diff
BuildRequires:	perl-YAML
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SVK is the class that loads SVK::Command and invokes them. You can use
it in your program to do what you do with the svk command line
interface.

%description -l pl
SVK to klasa wczytujca i wywoujca SVK::Command. Mona uywa jej w
programie do robienia tego, co robi si z poziomu linii polece svk.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"SVK", EXE_FILES=>["bin/svk"])' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/SVK
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SVK.spec,v $
Revision 1.10  2005/01/10 10:47:55  adamg
- updated to 0.28

Revision 1.9  2005/01/07 12:19:00  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.8  2004/12/27 16:55:18  adamg
- updated to 0.27

Revision 1.7  2004/12/01 18:11:59  radek
- autoupdated to 0.26

Revision 1.6  2004/11/03 22:30:42  paladine
- formatting

Revision 1.5  2004/10/31 22:45:36  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/08/21 20:35:34  adamg
- updated to 0.19

Revision 1.3  2004/08/12 21:21:52  ankry
- unified capitalization, typo

Revision 1.2  2004/08/12 21:04:23  qboosh
- pl

Revision 1.1  2004/08/11 19:03:57  radek
- new
